from handlers.PitcherPanelHandler import*
from handlers.ApiHandler import YgApiHandler
from handlers.GitHookHandler import *
from handlers.PublicAnalysisHandler import *



urls = [

    (r'/data/pitcher_panel/daily', PitcherPanelDaily), # 日期汇总
    (r'/data/pitcher_panel/overview', PitcherPanelOverview), # 投手今天概况
    (r'/data/channel_stat/overview',ChannelOverview), # 公众号广告投放数据
    (r'/data/channel_stat/again_order_trend',ChannelAgainOrderTrend), # 公众号复冲趋势
    (r'/data/channel_stat/active',ChannelActive), # 公众号激活数据
    (r'/data/channel_stat/order_trend',ChannelOrderTrend),  # 公众号趋势
    (r'/data/channel_stat/channel',ChannelSummary), # 公众号总数据
    (r'/data/pitcher/trend',PitcherTrend), # 投手个人付费趋势

    # 公共分析
    (r'/data/book/rank',BookRank), # 今日消耗排行


    # 外部接口
    (r'/api/get_yangguang_data', YgApiHandler),  # 阳光订单回调接口

    # web hook
    (r'/api/git_hook/data_center',DataCenerHook),
    (r'/api/git_hook/qc_web',QcWebHook)

]